Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Interface Type

All Superinterfaces:
  Expression, Field

All Known Implementing Classes:
  Type_Argument, Type_Base, Type_Reference, Type_Root, Type_Simple

    public interface Type

extends Field

Abstract representation of a type. This includes the relevant modifiers and array bound.

Version:
  $Revision: 1.6 $
Author:
  Greg Gibeling

Nested Class Summary
`static class` | `Type.Default` Iterator of the possible default values for any type.

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`static int` | `ARRAY_INFINITE` Indicates an array with infinite or unkown bounds, as in Java.
`static int` | `ARRAY_SINGLETON` Indicates a singleton variable; one which is not an array.

Method Summary
`int` | `getArrayBound()` Simple accessor.
`Type.Default` | `getDefault()` Simple accessor.
`boolean` | `isConstant()` Simple accessor.
`boolean` | `isStatic()` Simple accessor.

Methods inherited from interface rdlc.rdl.Field
`copy, getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### ARRAY_SINGLETON

    static final int ARRAY_SINGLETON

  Indicates a singleton variable; one which is not an array.

  See Also:
    Constant Field Values

### ARRAY_INFINITE

    static final int ARRAY_INFINITE

  Indicates an array with infinite or unkown bounds, as in Java.

  See Also:
    Constant Field Values

Method Detail

### getDefault

    Type.Default getDefault()

  Simple accessor.

  Returns:
    The default value for variables of this type.

### getArrayBound

    int getArrayBound()

  Simple accessor.

  Returns:
    The array bound on this variable (special values include infinite and singleton).

### isStatic

    boolean isStatic()

  Simple accessor.

  Returns:
    Is this a static type? (as in Java and C++)

### isConstant

    boolean isConstant()

  Simple accessor.

  Returns:
    Is this a constant type? (as in C++, final in Java)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD